Package icyllis.modernui.widget

# Interface SeekBar.OnSeekBarChangeListener

Enclosing class:
  `SeekBar`

public static interface SeekBar.OnSeekBarChangeListener
A callback that notifies clients when the progress level has been changed. This includes changes that were initiated by the user through a touch gesture or arrow key/trackball as well as changes that were initiated programmatically.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `onProgressChanged(SeekBar seekBar, int progress, boolean fromUser)`
  Notification that the progress level has changed.
  `default void`
  `onStartTrackingTouch(SeekBar seekBar)`
  Notification that the user has started a touch gesture.
  `default void`
  `onStopTrackingTouch(SeekBar seekBar)`
  Notification that the user has finished a touch gesture.

- ## Method Details

  - ### onProgressChanged

    default void onProgressChanged(SeekBar seekBar, int progress, boolean fromUser)
    Notification that the progress level has changed. Clients can use the fromUser parameter to distinguish user-initiated changes from those that occurred programmatically.
    Parameters:
      `seekBar` - The SeekBar whose progress has changed
      `progress` - The current progress level. This will be in the range min..max where min and max were set by `ProgressBar.setMin(int)` and `ProgressBar.setMax(int)`, respectively. (The default values for min is 0 and max is 100.)
      `fromUser` - True if the progress change was initiated by the user.

  - ### onStartTrackingTouch

    default void onStartTrackingTouch(SeekBar seekBar)
    Notification that the user has started a touch gesture. Clients may want to use this to disable advancing the seekbar.
    Parameters:
      `seekBar` - The SeekBar in which the touch gesture began

  - ### onStopTrackingTouch

    default void onStopTrackingTouch(SeekBar seekBar)
    Notification that the user has finished a touch gesture. Clients may want to use this to re-enable advancing the seekbar.
    Parameters:
      `seekBar` - The SeekBar in which the touch gesture began